Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Namespaces | Typedefs
ThreadPool.h File Reference
`#include <boost/asio.hpp>`
`#include <boost/any.hpp>`
`#include <boost/thread/thread.hpp>`
`#include "LuceneObject.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::Future
| A Future represents the result of an asynchronous computation. Methods are provided to check if the computation is complete, to wait for its completion, and to retrieve the result of the computation. The result can only be retrieved using method get when the computation has completed, blocking if necessary until it is ready. More...
class | Lucene::ThreadPool
| Utility class to handle a pool of threads. More...

## Namespaces

| Lucene

## Typedefs

typedef boost::shared_ptr< boost::asio::io_service::work > | Lucene::workPtr

clucene.sourceforge.net